Bug 72414 - Open Office too slow to load
Open Office too slow to load
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2002-08-23 12:17 EDT by Chris Parker
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-05 13:39:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A simple quickstart shell script to keep OOO in memory (427 bytes, text/plain)
2003-02-21 04:37 EST, Julien Olivier
no flags Details

  None (edit)
Description Chris Parker 2002-08-23 12:17:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
Open Office takes 10-12 seconds to load on my p2 333mhz computer with 400+ megs
of ram. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open Open Office

Actual Results:  It takes too long, especailly for users coming from Windows who
expect their Office applications to load automatically.

Expected Results:  For Open Office to load more quickly.

Additional info:

I know that MS Office is loaded into memory already unlike Open Office, but many
desktop users expect their Office applications to load quickly.  There are ways
to load Open Office into memory, and would be nice to provide an option to the
end-user to enable a 'quick-start' for Open Office.  It it very annoying when I
receive an email at work with a Word attatchment and have to wait 10-12 seconds
before reading it.
Comment 1 Jakub Jelinek 2002-08-26 12:07:07 EDT
If you start OpenOffice.org with
/usr/bin/ooffice -quickstart -plugin
then next time you'll run ooffice, it will come out faster (but when you exit
it it will take its time again).
prelink(8) can save some time from the startup too, but some libraries will
have to be added DT_RPATH dynamic tags for it.
There is certainly lots of room for improvement, but our priority for this release
has been to make sure it works, the next step will be to optimize what can
be optimized easily (and to themeize it etc.).
Comment 2 Julien Olivier 2003-02-21 04:37:05 EST
Created attachment 90241 [details]
A simple quickstart shell script to keep OOO in memory

Put this script in /usr/bin add "quicko" to your session
OOO will start quicker and stay in memory after being closed.
Comment 3 Dan Williams 2003-12-05 13:39:31 EST
Somewhat fixed with prelinking and preloading in 1.1.  Will not be
fixed in 1.0.x series.

Note You need to log in before you can comment on or make changes to this bug.